Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Class LdapGroupTester

    java.lang.Object
      org.jivesoftware.admin.LdapGroupTester

    public class LdapGroupTester

extends Object

Class that assists during the testing of the ldap groups.

Author:
  Gaston Dombiak

Nested Class Summary
`static class` | `LdapGroupTester.Group` Representation of a group found in LDAP.

Constructor Summary
`LdapGroupTester(LdapManager manager)`

Method Summary
`Collection<LdapGroupTester.Group>` | `getGroups(int maxGroups)` Returns fist N groups found in LDAP.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LdapGroupTester

    public LdapGroupTester(LdapManager manager)

Method Detail

### getGroups

    public Collection<LdapGroupTester.Group> getGroups(int maxGroups)

  Returns fist N groups found in LDAP. The returned groups are only able to return their name, description and count of members. Count of members is considering all values that were found in the member field.

  Parameters:
    `maxGroups` - max number of groups to return.
  Returns:
    fist N groups found in the LDAP.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.